
CoCoA-5 - Design #483

Unique copies of rings in CoCoA-5

19 Mar 2014 21:32 - John Abbott

Status: New Start date: 19 Mar 2014

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: CoCoA-5 function: new Estimated time: 0.00 hour

Target version: CoCoA-5.?.? Spent time: 0.25 hour

Description

If a user creates the same ring twice, should he get the exact same ring?

Use QQ[x];

f := x;

Use QQ[x];

g := x;

f+g; --> should this work?

Currently, CoCoA-5 creates two distinct but "identical" rings, so f+g produces a MixedRings error.  This is quite close to a nasty

surprise.

Related issues:

Related to CoCoALib - Feature #482: Unique copies of rings -- smart ctor In Progress 19 Mar 2014

Related to CoCoA-5 - Feature #274: InputForm for output readable as input In Progress 20 Jun 2012

Related to CoCoA-5 - Feature #7: Automatic mapping between (some) rings Resolved 20 Oct 2011

Related to CoCoALib - Feature #281: Store unique copy of FF(p) in GlobalManager New 03 Dec 2012

Related to CoCoALib - Feature #390: Store unique copy of QQ[t_1..t_n] (RingQQ... Closed 23 Jul 2013

Related to CoCoA-5 - Feature #18: Printing matrices: I/O unified style for Co... Closed 02 Nov 2011

Related to CoCoA-5 - Support #548: Printing rings with ID Closed 06 May 2014

Related to CoCoA-5 - Design #646: Unique copies of free modules? New 10 Nov 2014

History

#1 - 19 Mar 2014 21:37 - John Abbott

Conceptually this issue seems practically identical to #482.

Yet, I think they are slightly independent: if CoCoALib makes unique copies of rings then CoCoA-5 pretty much has no choice, but CoCoA-5 could

make unique copies even if CoCoALib does not: e.g. CoCoA-5 maintains a global registry of rings, but CoCoALib does not.

To facilitate the porting of CoCoA-5 code into CoCoALib it is probably best that two adopt the same policy.

#2 - 02 Apr 2014 17:34 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

#3 - 04 Apr 2014 16:42 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.?.?
